Trade fairs & leads
Update a lead
Changes the status; sending company rewrites all form fields (fields you omit are cleared).
Authorization
AuthorizationheaderrequiredBearer token: API key (sk_…), OAuth access token (mcp_…) or mobile session (xk_…).
Module: Fair leadsScope:
crm.writePath parameters
idintegerrequiredLead id.
Body application/json
statusstringoptionalStatus.
Values
Yeniİletişime geçildiTeklif verildiAktarıldıVazgeçildicompany …stringoptionalFields of the create endpoint.
Errors
| HTTP | error | Meaning |
|---|---|---|
403 | forbidden | You may not see / edit this record. |
404 | not_found | Record not found. |
Request
curl -X PATCH https://ornek.solk.app/api/v1/leads/11 \
-H "Authorization: Bearer $SOLK_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"status": "İletişime geçildi"
}'const res = await fetch("https://ornek.solk.app/api/v1/leads/11", {
method: "PATCH",
headers: {
Authorization: `Bearer ${process.env.SOLK_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"status": "İletişime geçildi"
}),
});
const data = await res.json();import os, requests
r = requests.patch(
"https://ornek.solk.app/api/v1/leads/11",
headers={"Authorization": f"Bearer {os.environ['SOLK_API_KEY']}"},
json={
"status": "İletişime geçildi"
},
)
print(r.json())Response
{
"lead": {
"can_edit": true,
"city": "Konya",
"company": "Anadolu Gıda Ambalaj",
"contact_name": "Murat Er",
"created_at": "2026-10-02T20:07:01",
"customer_id": null,
"email": "",
"fair": "Ambalaj Fuarı 2026 (örnek)",
"fair_id": 1,
"id": 11,
"initials": "AG",
"interest": "Sıcak",
"line": "",
"next_action": "Numune gönder",
"next_date": "2026-10-07",
"note": "",
"opp_id": null,
"opp_type": "",
"owner": {
"full_name": "Deniz Aksoy",
"id": 1,
"role": "admin",
"role_label": "Yönetici",
"username": "admin"
},
"phone": "+90 533 555 33 44",
"potential_kg": null,
"products": "",
"products_text": "",
"project_note": "",
"rid": "00QpWFogpnPsXu7",
"sector": "",
"status": "İletişime geçildi",
"status_eff": "İletişime geçildi",
"supplier": "",
"task_id": 25,
"timing": "",
"title": "Genel Müdür",
"unit": "kg",
"visitor_type": "Potansiyel müşteri",
"wa": "905335553344",
"website": ""
},
"ok": true
}Example responses were captured from a v22 installation running sample data; lists are shortened to two items.